<?php

namespace Drupal\simplehealthchecker\Controller;

use Drupal\Core\Controller\ControllerBase;
use Symfony\Component\HttpFoundation\JsonResponse;

/**
 * Returns the current time to check site health.
 */
class SimpleHealthCheckerController extends ControllerBase {

    /**
     * Returns the current timestamp.
     *
     * @return JsonResponse
     *   A JSON response containing the current timestamp.
     */
    public function healthChecker(): JsonResponse {
        $timestamp = time();
        return new JsonResponse(['timestamp' => $timestamp]);
    }

}
